﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;
using FLogger4net.utils;

namespace FLogger4net.Constant
{
    public class ConstantCLS
    {
        //------------------日志类型
        /** 调试信息  */
        public const int DEBUG = 0;
        /** 普通信息 */
        public const int INFO = 1;
        /** 警告信息 */
        public const int WARN = 2;
        /** 错误信息 */
        public const int ERROR = 3;
        /** 严重错误信息 */
        public const int FATAL = 4;

        /**日志级别*/
        public static String CFG_LOG_LEVEL = CommUtil.getConfigByString("LOG_LEVEL", "0,1,2,3,4");

        /**当前运行环境的字符集*/
        public static String CFG_CHARSET_NAME = CommUtil.getConfigByString("CHARSET_NAME", "UTF-8");

        /**日志文件路径*/
        public static String CFG_LOG_PATH = CommUtil.getConfigByString("LOG_PATH", "Log");

        /** 日志类型描述map*/
        public static Hashtable LOG_DESC_MAP = new Hashtable() { { "0", "DEBUG" }, { "1", "INFO" }, { "2", "WARN" }, { "3", "ERROR" }, { "4", "FATAL" } };


    }
}
