﻿using System;
using System.Collections;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace FLogger4net.strategy
{
    public class LogFileItem
    {

        /** 不包括路径，不带扩展名的日志文件名称 如：MsgInner */
        public String logFileName = "";

        /** 包括路径的完整日志名称 */
        public String fullLogFileName = "";

        /** 当前日志文件大小 */
        public long currLogSize = 0;

        /** 当前正在使用的日志缓存 */
        public char currLogBuff = 'A';

        /** 日志缓存列表A */
        public List<StringBuilder> alLogBufA = new List<StringBuilder>();

        /** 日志缓存列表B */
        public List<StringBuilder> alLogBufB = new List<StringBuilder>();

        /** 下次日志输出到文件时间 */
        public long nextWriteTime = 1000;

        /** 上次写入时的日期 */
        public String lastPCDate = "";

        /** 当前已缓存大小 */
        public long currCacheSize = 10240;

    }
}
